Opened 6 weeks ago

Closed 4 weeks ago

#2523 closed Defect (fixed)

phasing 4.0 - trunk

Reported by: smasson Owned by: systeam
Priority: low Milestone:
Component: MULTIPLE Version: trunk
Severity: minor Keywords:
Cc:

Description

Context

merge r4.0-HEAD developments in the trunk if not already done…

Analysis


Recommendation


Commit History (10)

ChangesetAuthorTimeChangeLog
13474smasson2020-09-16T15:36:26+02:00

trunk: update namelist ref, see #2523

13473smasson2020-09-16T15:07:12+02:00

trunk: add missing link in CANAL, see #2523

13472smasson2020-09-16T15:05:19+02:00

trunk: commit changes from r4.0-HEAD from 13284 to 13449, see #2523

13471smasson2020-09-16T11:40:06+02:00

r4_trunk: update iceistate.F90 for easy merge…, see #2523

13470smasson2020-09-15T12:56:56+02:00

r4_trunk: second change of DO loops for routines to be merged, see #2523

13469smasson2020-09-15T12:49:18+02:00

r4_trunk: first change of DO loops for routines to be merged, see #2523

13467smasson2020-09-15T09:28:26+02:00

r4_trunk: merge r4 13331:13348 13412,13444,13445,13449 see #2523

13466smasson2020-09-15T09:27:47+02:00

r4_trunk: merge r4 13280:13310, see #2523

13465smasson2020-09-15T09:02:06+02:00

r4_trunk: create temporary merging branch, see #2523

13461smasson2020-09-14T09:19:33+02:00

trunk: merge r4.0-HEAD 13263:13278 into the trunk, see #2523

Change History (12)

comment:1 Changed 6 weeks ago by smasson

In 13461:

trunk: merge r4.0-HEAD 13263:13278 into the trunk, see #2523

comment:2 Changed 6 weeks ago by smasson

In 13465:

r4_trunk: create temporary merging branch, see #2523

comment:3 Changed 6 weeks ago by smasson

In 13466:

r4_trunk: merge r4 13280:13310, see #2523

comment:4 Changed 6 weeks ago by smasson

In 13467:

r4_trunk: merge r4 13331:13348 13412,13444,13445,13449 see #2523

comment:5 Changed 5 weeks ago by smasson

In 13469:

r4_trunk: first change of DO loops for routines to be merged, see #2523

comment:6 Changed 5 weeks ago by smasson

In 13470:

r4_trunk: second change of DO loops for routines to be merged, see #2523

comment:7 Changed 5 weeks ago by smasson

In 13471:

r4_trunk: update iceistate.F90 for easy merge…, see #2523

comment:8 Changed 5 weeks ago by smasson

In 13472:

trunk: commit changes from r4.0-HEAD from 13284 to 13449, see #2523

comment:9 Changed 5 weeks ago by smasson

In 13473:

trunk: add missing link in CANAL, see #2523

comment:10 Changed 5 weeks ago by smasson

In 13474:

trunk: update namelist ref, see #2523

comment:11 Changed 5 weeks ago by smasson

[13474] looks as a good candidate…

[reee217@jean-zay2: sette]$ ./sette_rpt.sh

Current code is : NEMO/trunk @ r13482  ( last change @ r13482 )

SETTE validation report generated for :

       NEMO/trunk @ r13482 (last changed revision)

       on X64_JEANZAY arch file


!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  13482
WGYRE_PISCES_ST              tracer.stat restartability  passed :  13482
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  13482
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  13482
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  13482
WAMM12_ST                    run.stat    restartability  passed :  13482
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  13482
WAGRIF_DEMO_ST               run.stat    restartability  passed :  13482
WWED025_ST                   run.stat    restartability  passed :  13482
WISOMIP+_ST                  run.stat    restartability  passed :  13482
WOVERFLOW_ST                 run.stat    restartability  passed :  13482
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  13482
WVORTEX_ST                   run.stat    restartability  passed :  13482
WICE_AGRIF_ST                run.stat    restartability  passed :  13482

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  13482
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  13482
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  13482
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  13482
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  13482
WAMM12_ST                    run.stat    reproducibility passed :  13482
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  13482
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  13482
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  13482
WWED025_ST                   run.stat    reproducibility passed :  13482
WISOMIP+_ST                  run.stat    reproducibility passed :  13482
WVORTEX_ST                   run.stat    reproducibility passed :  13482
WICE_AGRIF_ST                run.stat    reproducibility passed :  13482

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    unchanged  -    passed :  13482 13482

   !----result comparison check----!

check result differences between :
VALID directory : /gpfswork/rech/fqx/reee217/NEMO_ALL_VALIDATIONS/trunk/NEMO_VALIDATION at rev 13482
and
REFERENCE directory : /gpfswork/rech/fqx/reee217/NEMO_ALL_VALIDATIONS/trunk/NEMO_VALIDATION at rev 13477

WGYRE_PISCES_ST       run.stat    files are identical
WGYRE_PISCES_ST       tracer.stat files are identical
WORCA2_ICE_PISCES_ST  run.stat    files are identical
WORCA2_ICE_PISCES_ST  tracer.stat files are identical
WORCA2_OFF_PISCES_ST  tracer.stat files are identical
WAMM12_ST             run.stat    files are identical
WORCA2_SAS_ICE_ST     run.stat    files are identical
WAGRIF_DEMO_ST        run.stat    files are identical
WWED025_ST            incomplete test
WISOMIP+_ST           run.stat    files are identical
WVORTEX_ST            run.stat    files are identical
WICE_AGRIF_ST         run.stat    files are identical
WOVERFLOW_ST          run.stat    files are identical
WLOCK_EXCHANGE_ST     run.stat    files are identical

comment:12 Changed 4 weeks ago by smasson

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.